Bug 39855 - pam_access fails with wu-ftpd
pam_access fails with wu-ftpd
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
: 39904 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 08:39 EDT by Alain D D Williams
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 06:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alain D D Williams 2001-05-09 08:39:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.4-addw1 i686; en-US; 0.8.1)
Gecko/20010425

Description of problem:
pam_access fails with wu-ftpd, unresolved symbols.

How reproducible:
Always

Steps to Reproduce:
Insert into /etc/pam.d/ftp the following line:
auth       required     /lib/security/pam_access.so

Try to do a ftp login to the machine.

Actual Results:  I can't login and in /var/log/messages I find:
May  9 13:37:46 springbok ftpd[4016]: PAM unable to resolve symbol:
pam_sm_authenticate
May  9 13:37:46 springbok ftpd[4016]: PAM unable to resolve symbol:
pam_sm_setcred
May  9 13:37:48 springbok ftpd[4016]: failed login from
localhost.localdomain [127.0.0.1]
May  9 13:37:49 springbok ftpd[4016]: FTP session closed


Expected Results:  I would have expected to be able to login

Additional info:

It also seems to happen when I put the line into the /etc/pam.d/login file.
The machine in a reasonably clean install, the only major addition is the
latests ximian desktop.
Comment 1 Bill Nottingham 2001-05-09 16:47:26 EDT
*** Bug 39904 has been marked as a duplicate of this bug. ***
Comment 2 Alain D D Williams 2001-05-09 18:00:21 EDT
After looking at the source I find that the problem was mine. I invoked the pam
module as a module-type 'auth' - since I wanted to authenticate by user and
remote_address.
If I invoke it as 'account' it works, ie:
	account required     /lib/security/pam_access.so
I would like to change the bug to a documentation bug. The overall level of PAM
documentation is bad. But in the interim this bug is closed.

Note You need to log in before you can comment on or make changes to this bug.